Subject: Re: [BUG #12364] Re: HTB - very bad precision? HFSC works fine! 2.6.28

From: Jarek Poplawski <[email-masked]>
Date: Thu, 8 Jan 2009 10:06:14 +0000

On Thu, Jan 08, 2009 at 09:54:03AM +0000, Jarek Poplawski wrote:
> On Thu, Jan 08, 2009 at 09:42:31AM +0000, Jarek Poplawski wrote:
> > On 08-01-2009 00:42, [email-masked] wrote:
> > > Is there anyway to debug this?
> > 
> > Could you try: ethtool -k eth0
> > with quite fresh ethtool, and to turn off GSO etc., if it's on?
> 
> Hmm... Actually, it's probably about config: I'm not cbq user or
> expert, but AFAIK it depends on precise info about the real link
> rate, so it probably needs an update to 1000Mbit.

Hmm#2... I missed this tbf thing: this could point to GSO again, but
generally it's considered as a bug to use more than one non-work-
conserving qdisc in a tree (so e.g. cbq with any of tbf/htb/hfsc
together).

Jarek P.